import type { TapableHookEvent } from '../../typings';
import type { ExportOrImportParams } from '../../typings';
declare global {
    module NodeJS {
        interface ViteReactAutoConfigServer {
            onGenerateAppEntryFile: (fn: Function) => any;
            addImportToAppEntryFile: TapableHookEvent<any, ExportOrImportParams | string>;
            addContainerRenderToAppEntryFile: TapableHookEvent<any, string>;
        }
    }
}
export declare const stage = -9;
export default function AppEntryFile(api: NodeJS.ViteReactAutoConfigServer): Promise<void>;
